<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPackageReceiptLabel" jhiTranslate="mpmApp.packageReceipt.home.createOrEditLabel">Create or edit a Package Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.documentNumber" for="field_documentNumber">Document Number</label>
                    <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                        [(ngModel)]="packageReceipt.documentNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.vendorInvoice" for="field_vendorInvoice">Vendor Invoice</label>
                    <input type="text" class="form-control" name="vendorInvoice" id="field_vendorInvoice"
                        [(ngModel)]="packageReceipt.vendorInvoice" />
                </div>

                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="packageReceipt.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                    </select>
                </div>
                <!-- <div class="form-group" *ngIf="idShipFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.shipFrom" for="field_shipFrom">Ship From</label>
                    <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.organization.name}}</option>
                    </select>
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" for="field_status2">Ship Type</label>
                    <select class="form-control" id="field_status2" name="status2" [(ngModel)]="packageReceipt.shipType"
                    (ngModelChange)="getLovShipfrom($event)">
                        <option [ngValue]="status.statusId" *ngFor="let status of statusFilter">{{status.statusDeskripsi}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idVendor === undefined">
                    <label>Ship From</label>
                    <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                    <ng-container *ngIf="isInternal">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals ; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                    </ng-container>
                    <ng-container *ngIf="isVendor">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                    </ng-container>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label"  for="field_dateIssued">Date Shiping List</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateIssued" name="input_dateIssued" 
                            [(ngModel)]="packageReceipt.dateIssued"
                            dateFormat="dd-mm-yy" [showTime]="true" 
                            hourFormat="24" 
                            [showSeconds]="true"
                            [showIcon]="true">
                        </p-calendar>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
